{% load static %}
{% if map.dynmap_static_url %}
    <iframe id='bg' scrolling='no' allowtransparency='true' src='{{ map.static_url }}' frameborder='0'>Loading...</iframe>
{% elif map.dynmap_url %}
    <iframe id='bg' scrolling='no' allowtransparency='true' src='{{ map.map_url }}' frameborder='0'>Loading...</iframe>
{% else %}
    <img id='bg' src="{% static 'minecraft_manager/img/background.png' %}" />
{% endif %}

{% if map.dynmap_static_url or map.dynmap_url %}
<!-- Images -->
<a id='viewMap' href='javascript:;' hidden><img src="{% static 'minecraft_manager/img/world.png' %}" /></a>
<a id='goMap' href='{% if map.dynmap_url %}{{ map.map_url }}{% else %}#{% endif %}' target='{{ map.target }}' hidden><img src="{% static 'minecraft_manager/img/world_go.png' %}" /></a>
<script>
$(document).ready(function() {
    var $viewMap = $("#viewMap");
    $viewMap.show();
    $("#goMap").show();

    $viewMap.click(function() {
        $("#form").toggle();
    });

});
</script>
{% endif %}
